<?php

namespace common\components;

use common\logic\Config\TaxRate\TaxRateContainer;
use common\logic\Config\TaxRate\TaxRateManager;
use common\logic\Distribution\Distribution\DistributionContainer;
use common\logic\Distribution\Distribution\DistributionManager;
use common\logic\Distribution\PointSaleDistribution\PointSaleDistributionContainer;
use common\logic\Distribution\PointSaleDistribution\PointSaleDistributionManager;
use common\logic\Distribution\ProductDistribution\ProductDistributionContainer;
use common\logic\Distribution\ProductDistribution\ProductDistributionManager;
use common\logic\Document\DeliveryNote\DeliveryNoteManager;
use common\logic\Document\Document\DocumentContainer;
use common\logic\Document\Document\DocumentManager;
use common\logic\Document\Invoice\InvoiceManager;
use common\logic\Document\Invoice\QuotationManager;
use common\logic\Order\Order\OrderContainer;
use common\logic\Order\Order\OrderManager;
use common\logic\Order\OrderStatusHistory\OrderStatusHistoryContainer;
use common\logic\Order\OrderStatusHistory\OrderStatusHistoryManager;
use common\logic\Order\ProductOrder\ProductOrderContainer;
use common\logic\Order\ProductOrder\ProductOrderManager;
use common\logic\PointSale\PointSale\PointSaleContainer;
use common\logic\PointSale\PointSale\PointSaleManager;
use common\logic\PointSale\UserPointSale\UserPointSaleContainer;
use common\logic\PointSale\UserPointSale\UserPointSaleManager;
use common\logic\Producer\Producer\ProducerContainer;
use common\logic\Producer\Producer\ProducerManager;
use common\logic\Producer\ProducerPriceRange\ProducerPriceRangeContainer;
use common\logic\Producer\ProducerPriceRange\ProducerPriceRangeManager;
use common\logic\Product\Product\ProductContainer;
use common\logic\Product\Product\ProductManager;
use common\logic\Product\ProductCategory\ProductCategoryContainer;
use common\logic\Product\ProductCategory\ProductCategoryManager;
use common\logic\Product\ProductPointSale\ProductPointSaleContainer;
use common\logic\Product\ProductPointSale\ProductPointSaleManager;
use common\logic\Product\ProductPrice\ProductPriceContainer;
use common\logic\Product\ProductPrice\ProductPriceManager;
use common\logic\Subscription\ProductSubscription\ProductSubscriptionContainer;
use common\logic\Subscription\ProductSubscription\ProductSubscriptionManager;
use common\logic\Subscription\Subscription\SubscriptionContainer;
use common\logic\Subscription\Subscription\SubscriptionManager;
use common\logic\User\CreditHistory\CreditHistoryContainer;
use common\logic\User\CreditHistory\CreditHistoryManager;
use common\logic\User\User\UserContainer;
use common\logic\User\User\UserManager;
use common\logic\User\UserGroup\UserGroupContainer;
use common\logic\User\UserGroup\UserGroupManager;
use common\logic\User\UserProducer\UserProducerContainer;
use common\logic\User\UserUserGroup\UserUserGroupContainer;
use common\logic\User\UserUserGroup\UserUserGroupManager;

trait BusinessLogicContainerTrait
{
    public function getOrderManager(): OrderManager
    {
        return new OrderManager();
    }

    public function getTaxRateManager(): TaxRateManager
    {
        return new TaxRateManager();
    }

    public function getDistributionManager(): DistributionManager
    {
        return new DistributionManager();
    }

    public function getPointSaleDistributionManager(): PointSaleDistributionManager
    {
        return new PointSaleDistributionManager();
    }

    public function getProductDistributionManager(): ProductDistributionManager
    {
        return new ProductDistributionManager();
    }

    public function getDeliveryNoteManager(): DeliveryNoteManager
    {
        return new DeliveryNoteManager();
    }

    public function getDocumentManager(): DocumentManager
    {
        return new DocumentManager();
    }

    public function getInvoiceManager(): InvoiceManager
    {
        return new InvoiceManager();
    }

    public function getQuotationManager(): QuotationManager
    {
        return new QuotationManager();
    }

    public function getOrderStatusHistoryManager(): OrderStatusHistoryManager
    {
        return new OrderStatusHistoryManager();
    }

    public function getProductOrderManager(): ProductOrderManager
    {
        return new ProductOrderManager();
    }

    public function getPointSaleManager(): PointSaleManager
    {
        return new PointSaleManager();
    }

    public function getUserPointSaleManager(): UserPointSaleManager
    {
        return new UserPointSaleManager();
    }

    public function getProducerManager(): ProducerManager
    {
        return new ProducerManager();
    }

    public function getProducerPriceRangeManager(): ProducerPriceRangeManager
    {
        return new ProducerPriceRangeManager();
    }

    public function getProductManager(): ProductManager
    {
        return new ProductManager();
    }

    public function getProductCategoryManager(): ProductCategoryManager
    {
        return new ProductCategoryManager();
    }

    public function getProductPointSaleManager(): ProductPointSaleManager
    {
        return new ProductPointSaleManager();
    }

    public function getProductPriceManager(): ProductPriceManager
    {
        return new ProductPriceManager();
    }

    public function getProductSubscriptionManager(): ProductSubscriptionManager
    {
        return new ProductSubscriptionManager();
    }

    public function getSubscriptionManager(): SubscriptionManager
    {
        return new SubscriptionManager();
    }

    public function getCreditHistoryManager(): CreditHistoryManager
    {
        return new CreditHistoryManager();
    }

    public function getUserManager(): UserManager
    {
        return new UserManager();
    }

    public function getUserGroupManager(): UserGroupManager
    {
        return new UserGroupManager();
    }

    public function getUserUserGroupManager(): UserUserGroupManager
    {
        return new UserUserGroupManager();
    }

    public function getUserContainer(): UserContainer
    {
        return new UserContainer();
    }

    public function getProducerContainer(): ProducerContainer
    {
        return new ProducerContainer();
    }

    public function getProducerPriceRangeContainer(): ProducerPriceRangeContainer
    {
        return new ProducerPriceRangeContainer();
    }

    public function getUserProducerContainer(): UserProducerContainer
    {
        return new UserProducerContainer();
    }

    public function getCreditHistoryContainer(): CreditHistoryContainer
    {
        return new CreditHistoryContainer();
    }

    public function getDocumentContainer(): DocumentContainer
    {
        return new DocumentContainer();
    }

    public function getUserGroupContainer(): UserGroupContainer
    {
        return new UserGroupContainer();
    }

    public function getUserUserGroupContainer(): UserUserGroupContainer
    {
        return new UserUserGroupContainer();
    }

    public function getDistributionContainer(): DistributionContainer
    {
        return new DistributionContainer();
    }

    public function getTaxRateContainer(): TaxRateContainer
    {
        return new TaxRateContainer();
    }

    public function getOrderContainer(): OrderContainer
    {
        return new OrderContainer();
    }

    public function getOrderSatusHistoryContainer(): OrderStatusHistoryContainer
    {
        return new OrderStatusHistoryContainer();
    }

    public function getUserPointSaleContainer(): UserPointSaleContainer
    {
        return new UserPointSaleContainer();
    }

    public function getPointSaleContainer(): PointSaleContainer
    {
        return new PointSaleContainer();
    }

    public function getProductOrderContainer(): ProductOrderContainer
    {
        return new ProductOrderContainer();
    }

    public function getProductContainer(): ProductContainer
    {
        return new ProductContainer();
    }

    public function getProductCategoryContainer(): ProductCategoryContainer
    {
        return new ProductCategoryContainer();
    }

    public function getProductPointSaleContainer(): ProductPointSaleContainer
    {
        return new ProductPointSaleContainer();
    }

    public function getProductPriceContainer(): ProductPriceContainer
    {
        return new ProductPriceContainer();
    }

    public function getSubscriptionContainer(): SubscriptionContainer
    {
        return new SubscriptionContainer();
    }

    public function getProductSubscriptionContainer(): ProductSubscriptionContainer
    {
        return new ProductSubscriptionContainer();
    }

    public function getPointSaleDistributionContainer(): PointSaleDistributionContainer
    {
        return new PointSaleDistributionContainer();
    }

    public function getProductDistributionContainer(): ProductDistributionContainer
    {
        return new ProductDistributionContainer();
    }
}