<?php

namespace common\logic\Distribution\Distribution;

use common\logic\ContainerInterface;

class DistributionContainer implements ContainerInterface
{
    public function getEntityFqcn(): string
    {
        return Distribution::class;
    }

    public function getServices(): array
    {
        return [
            DistributionSolver::class,
            DistributionRepository::class,
            DistributionBuilder::class
        ];
    }

    public function getSolver(): DistributionSolver
    {
        return new DistributionSolver();
    }

    public function getRepository(): DistributionRepository
    {
        return new DistributionRepository();
    }

    public function getBuilder(): DistributionBuilder
    {
        return new DistributionBuilder();
    }
}