<?php

namespace common\logic\Document\Document;

use common\logic\ContainerInterface;

class DocumentContainer implements ContainerInterface
{
    public function getEntityFqcn(): string
    {
        return Document::class;
    }

    public function getServices(): array
    {
        return [
            DocumentSolver::class,
            DocumentBuilder::class,
            DocumentUtils::class,
        ];
    }

    public function getSolver(): DocumentSolver
    {
        return new DocumentSolver();
    }

    public function getBuilder(): DocumentBuilder
    {
        return new DocumentBuilder();
    }

    public function getUtils(): DocumentUtils
    {
        return new DocumentUtils();
    }
}