<?php

namespace common\logic\Document\Invoice;

use common\logic\ContainerInterface;
use common\logic\Document\Document\DocumentBuilder;
use common\logic\Document\Document\DocumentSolver;
use common\logic\PointSale\PointSale\InvoiceRepository;

class InvoiceContainer implements ContainerInterface
{
    public function getEntityFqcn(): string
    {
        return Invoice::class;
    }

    public function getServices(): array
    {
        return [
            DocumentSolver::class,
            InvoiceBuilder::class,
        ];
    }

    public function getSolver(): DocumentSolver
    {
        return new DocumentSolver();
    }

    public function getRepository(): InvoiceRepository
    {
        return new InvoiceRepository();
    }

    public function getBuilder(): InvoiceBuilder
    {
        return new InvoiceBuilder();
    }
}