<?php

namespace common\logic\PointSale\PointSale;

use common\logic\ContainerInterface;

class PointSaleContainer implements ContainerInterface
{
    public function getEntityFqcn(): string
    {
        return PointSale::class;
    }

    public function getServices(): array
    {
        return [
            PointSaleSolver::class,
            PointSaleRepository::class,
            PointSaleBuilder::class,
        ];
    }

    public function getSolver(): PointSaleSolver
    {
        return new PointSaleSolver();
    }

    public function getRepository(): PointSaleRepository
    {
        return new PointSaleRepository();
    }

    public function getBuilder(): PointSaleBuilder
    {
        return new PointSaleBuilder();
    }
}