<?php

namespace common\logic\Product\Product;

use common\logic\ContainerInterface;

class ProductContainer implements ContainerInterface
{
    public function getEntityFqcn(): string
    {
        return Product::class;
    }

    public function getServices(): array
    {
        return [
            ProductSolver::class,
            ProductBuilder::class,
            ProductRepository::class,
        ];
    }

    public function getSolver(): ProductSolver
    {
        return new ProductSolver();
    }

    public function getRepository(): ProductRepository
    {
        return new ProductRepository();
    }

    public function getBuilder(): ProductBuilder
    {
        return new ProductBuilder();
    }



}